!set title=Función recursiva
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-0.900000
rightrange=0.900000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=r
varcnt=15
prevarcnt=14
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 2, 10

val6=$[rint($(tmp0))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val7=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem 11,13,17,19

val8=$[rint($(tmp0))]
tmp0=!randitem 1/3,2/3,1/4,3/4,1/5,2/5,3/5,4/5

val9=$(tmp0)
tmp0=!randitem +,-

val10=$(tmp0)
val11=$val8/($val6$val10 x),	  sqrt($val6$val10 x),	  atan($val6$val10 x),	  sin($val7$val10 x),	  cos($val7$val10 x),	  ($val6$val10 x)^($val9)	  
tmp0=!itemcnt $val11

val12=$[rint($(tmp0))]
tmp0=!randint 1, $val12

val13=$[rint($(tmp0))]
tmp0=!item $val13 of  $val11

val14=!rawmath $(tmp0)
tmp0=!randint 1, 9

val15=$[rint($(tmp0))]

!ifval $val15=$val6
val15=$[rint($val6-1)]
!endif
tmp0=!item $val13 of  {$val8 \over {$val6 $val10 $val15}},	   \sqrt{$val6 $val10 $val15},	   \arctan\left($val6 $val10 $val15\right),	   \sin\left($val7 $val10 $val15\right),	   \cos\left($val7 $val10 $val15\right),	   \left($val6 $val10 $val15 \right)^{$val9}	   

val16=$(tmp0)
tmp0=!item $val13 of  {$val8 \over {$val6 $val10 $val16}},	   \sqrt{$val6 $val10 $val16},	   \arctan\left($val6 $val10 $val16\right),	   \sin\left($val7 $val10 $val16\right),	   \cos\left($val7 $val10 $val16\right),	   \left($val6 $val10 $val16 \right)^{$val9}	   

val17=$(tmp0)
tmp0=!item $val13 of  {$val8 \over {$val6 $val10 $val17}},	   \sqrt{$val6 $val10 $val17},	   \arctan\left($val6 $val10 $val17\right),	   \sin\left($val7 $val10 $val17\right),	   \cos\left($val7 $val10 $val17\right),	   \left($val6 $val10 $val17 \right)^{$val9}	   

val18=$(tmp0)
replytype1=default
replyname1=f(x)
replygood1=$val14
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()La sucesión 
!insmath (u_n)
$() tal que	 <center>
!insmath  u_1=$val15\;,\;u_2=$val16\;, 
$()</center>	 <center>
!insmath  u_3=$val17\;, 
$()</center>	 <center>
!insmath  u_4=$val18\;,\; \cdots 
$()</center>	es una sucesión recursiva definida por 	
!insmath u_{n+1}=f\left(u_n\right)
$() para cierta función 
!insmath f
$(). Encontrar dicha funcion.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=15,16,17,18
embedcnt=0
